#!/bin/bash

if [ "${CLCK_PROVIDER_IOZONE_FILESIZE}" == "" ]; then
    FILESIZE=65536
else
    FILESIZE="${CLCK_PROVIDER_IOZONE_FILESIZE}"
fi

if [ "${CLCK_PROVIDER_IOZONE_RECSIZE}" == "" ]; then
    RECSIZE=16384
else
    RECSIZE="${CLCK_PROVIDER_IOZONE_RECSIZE}"
fi

if [ "${CLCK_PROVIDER_IOZONE_WORKDIR}" == "" ]; then
    WORKDIR=/tmp
else
    WORKDIR="${CLCK_PROVIDER_IOZONE_WORKDIR}"
fi

$(dirname $0)/intel64/iozone -i0 -i1 -r ${RECSIZE} -s ${FILESIZE} -+n -+r -I -f ${WORKDIR}/iozone.tmp
